[signal , fs] = audioread('audio.wav'); 
win = 0.5;
step = 0.5;
ShortFeatureslongs = stFeatureExtraction(x, fs, stWin, stStep);
ShortFeatureslongs = mean(ShortFeatures,2);

if (size(signal,2)>1)
    signal = (sum(signal,2)/2); % convert to MONO
end

windowLength = round(win * fs);
Stepf = round(step * fs);
L = length(signal);
numberOfFrames = ((L-windowLength)/Stepf)+1;
curPos = 0;
for i = 1:numberOfFrames
    frame  = signal(curPos:curPos+windowLength-1);
    Curframe{i} = stFeatureExtraction(frame, fs, win, step);
    frame  = frame .* Ham;
    d{i} =  pdist2(Features{1}.', frame, 'euclidean');
    
    
    
end
curPos = curPos + Stepf;








